# Class TickRun

java.lang.Object
uk.ac.starlink.ttools.plot2.TickRun

public class TickRun extends Object
Aggregates a list of Ticks with the orientation with which their labels should be drawn on the axis.

Since:
  9 Sep 2024
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`TickRun(Tick[] ticks, Orientation orient)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Orientation`
`getOrientation()`
Returns the tick label orientation.
`Tick[]`
`getTicks()`
Returns the tick array.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TickRun

public TickRun(Tick[] ticks, Orientation orient)
Constructor.

Parameters:
  `ticks` - tick array
  `orient` - tick label orientation

## Method Details

### getTicks

public Tick[] getTicks()
Returns the tick array.

Returns:
  ticks

### getOrientation

public Orientation getOrientation()
Returns the tick label orientation.

Returns:
  orientation